org.apache.jmeter.testelement.property

## Class ObjectProperty

- java.lang.Object
- - org.apache.jmeter.testelement.property.AbstractProperty
  - - org.apache.jmeter.testelement.property.ObjectProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<JMeterProperty>, JMeterProperty

      public class ObjectProperty
      extends AbstractProperty

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.testelement.property.AbstractProperty

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectProperty()` Default constructor.
    `ObjectProperty(java.lang.String name)` Constructs an instance with `name` as its name and a `null` value.
    `ObjectProperty(java.lang.String name, java.lang.Object p)` Constructs an instance with `name` as its name and the given value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectProperty` | `clone()`
    `java.lang.Object` | `getObjectValue()`
    `java.lang.String` | `getStringValue()`
    `void` | `recoverRunningVersion(TestElement owner)` Tell the property to revert to the state at the time setRunningVersion(true) was called.
    `void` | `setObjectValue(java.lang.Object value)`
    `void` | `setRunningVersion(boolean runningVersion)` Make the property a running version or turn it off as the running version.

    - ### Methods inherited from class org.apache.jmeter.testelement.property.AbstractProperty

      `compareTo, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getBooleanValue, getDoubleValue, getFloatValue, getIntValue, getIterator, getLongValue, getName, getPropertyType, hashCode, isEqualType, isRunningVersion, makeProperty, mergeIn, normalizeList, normalizeMap, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectProperty

          public ObjectProperty()

      Default constructor. Constructs an `ObjectProperty` with no name and a `null` value

    - #### ObjectProperty

          public ObjectProperty(java.lang.String name)

      Constructs an instance with `name` as its name and a `null` value.
      Parameters:
        `name` - the name of this property

    - #### ObjectProperty

          public ObjectProperty(java.lang.String name,
                                java.lang.Object p)

      Constructs an instance with `name` as its name and the given value.
      Parameters:
        `name` - the name of this property
        `p` - the value for this property

  - ### Method Detail

    - #### recoverRunningVersion

          public void recoverRunningVersion(TestElement owner)

      Tell the property to revert to the state at the time setRunningVersion(true) was called.
      Parameters:
        `owner` - the owning element

    - #### setRunningVersion

          public void setRunningVersion(boolean runningVersion)

      Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.
      Specified by:
        `setRunningVersion` in interface `JMeterProperty`
      Overrides:
        `setRunningVersion` in class `AbstractProperty`
      Parameters:
        `runningVersion` - flag whether this property is a running version

    - #### clone

          public ObjectProperty clone()

      Specified by:
        `clone` in interface `JMeterProperty`
      Overrides:
        `clone` in class `AbstractProperty`

    - #### getStringValue

          public java.lang.String getStringValue()

    - #### getObjectValue

          public java.lang.Object getObjectValue()

    - #### setObjectValue

          public void setObjectValue(java.lang.Object value)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.